{"swagger":"2.0","info":{"description":"3D Analyzer License Manager API.","version":"1.0.0","title":"3D Analyzer License Manager API","contact":{"email":"mahmud@3danalyzersoftware.com"},"license":{"name":"3D Analyzer Software","url":"https://3danalyzersoftware.com/"}},"tags":[{"name":"Analyzer","description":"API for 3D Analyzer software client and executables"}],"securityDefinitions":{"UserSecurity":{"type":"apiKey","in":"header","name":"X-3DANALYZER-API-KEY"}},"security":[{"UserSecurity":[]}],"paths":{"/activatelicense/{productcode}":{"post":{"summary":"Activate license on a new machine","tags":["Analyzer"],"operationId":"activateLicense","description":"Activate license on a new machine","parameters":[{"in":"path","name":"productcode","type":"string","required":true,"description":"Product code 'cam' for Aznlyzer exe, 'cnc'  for AutoCAD plugin AnalyzerCNC or 'cad' for AutoCAD plugin AnalyzerCAD"},{"name":"registrationinfo","in":"body","schema":{"type":"object","properties":{"licenseKey":{"type":"string","description":"Unique Machine ID generated by the system running 3d analyzer exe","example":"976790B4-8A32-4072-B667-A7A7BAF496E4"},"machineId":{"type":"string","description":"Unique Machine ID generated by the system running 3d analyzer exe","example":"BGHDTM5NA2"},"machineName":{"type":"string","description":"Machine name retrieved from system","example":"DESKTOP-84J24KC"},"machineDescription":{"type":"string","description":"Description of the user machine computer defined by the user","example":"Brains Laptop"}}}}],"responses":{"200":{"description":"successfully activated product with key / already added","schema":{"type":"object","properties":{"message":{"type":"string"}}}},"400":{"description":"Bad input parameter  / Invalid license","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Machine quota exceeded for this license","schema":{"$ref":"#/definitions/Error"}},"500":{"$ref":"#/responses/Standard500ErrorResponse"}}}},"/validatelicense/{productCode}":{"get":{"summary":"validate license","operationId":"validate license","tags":["Analyzer"],"description":"Validate the customer license key","produces":["application/json"],"parameters":[{"in":"path","name":"productCode","type":"string","required":true,"description":"Product code 'cam' for Aznlyzer exe, 'cnc'  for AutoCAD plugin AnalyzerCNC or 'cad' for AutoCAD plugin AnalyzerCAD"},{"in":"query","name":"licenseKey","description":"the license key for your company for subscription details","required":true,"type":"string"},{"in":"query","name":"machineId","description":"machine id of the computer running 3d analyzer software","type":"string","required":true}],"responses":{"200":{"description":"License valid","schema":{"type":"object","properties":{"message":{"type":"string"}}}},"400":{"description":"Bad input parameter / Invalid license","schema":{"$ref":"#/definitions/Error"}},"500":{"$ref":"#/responses/Standard500ErrorResponse"}}}}},"definitions":{"Error":{"properties":{"message":{"type":"string"}}}},"responses":{"Standard500ErrorResponse":{"description":"An unexpected error occured.","schema":{"$ref":"#/definitions/Error"}}},"host":"wide-approach-276208.ts.r.appspot.com","schemes":["https"]}